%global gitdate 20140428
%global githash 506a8990

Name:           shotcut
Version:        0
Release:        2.%{gitdate}git%{githash}%{?dist}
Summary:        Video editor

License:        GPLv3+
URL:            http://www.shotcut.org/bin/view/Shotcut/WebHome
# git archive --format=tar.xz --prefix shotcut/ -o %{name}-%{gitdate}git%{githash}.tar.xz %{githash}
Source0:        %{name}-%{gitdate}git%{githash}.tar.xz
Source1:        %{name}.desktop
#
Patch0:         %{name}-paths.patch

BuildRequires:  mlt-devel
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  desktop-file-utils

Requires:       qt5-qtgraphicaleffects
Requires:       qt5-qtquickcontrols


%description
Shotcut is a free, open source, cross-platform video editor.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .paths


%build
%{_qt5_qmake} PREFIX=%{_prefix}

make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}

desktop-file-install                                    \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications     \
    %{SOURCE1}

# install qml files
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp -a src/qml ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/


%changelog
* Thu May  1 2014 Dan Horák <dan@danny.cz> - 0-2.20140428git506a8990
- updated to git snapshot
- install qml files
- add Requires needed for qml files

* Mon Apr  7 2014 Dan Horák <dan@danny.cz> - 0-1.20140406git73f9b4c3
- initial Fedora package
